4Suite™ API Documentation

# ► Module Ft.Server.Server.SCore.XmlDocumentImp

XmlDocument repository resource class.
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: XmlDocumentImp |  |  |  | Functions: NewXmlDocumentXml |  |  |  | Fields: FTSERVER_NAMESPACE

## Classes

class XmlDocumentImp(Ft.Server.Server.SCore.RawFileImp.RawFileImp)
A specialized raw file resource, that is an XML document

### Methods

expandXLink(self)
Return the content of this resource with all XLinks expanded
NOT IMPLEMENTED.
getDocumentDefinition(self)
Get the document definition associated with this document
getValidationInfo(self)
Get the validation information associated with this resource.
setContent(self, src)
Set the string content of this resource
setDocumentDefinition(self, newDocDef)
Reset our document definition and regenerate our self

### Methods inherited from class Ft.Server.Server.SCore.RawFileImp.RawFileImp

asSchematron, asStylesheet, getContent, getContentResource, getImt, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp

__init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContentSlice, getCreationDate, getDisplayPath, getExtFunctionsAndElements, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, hasResource, inheritAcl, isResourceType, markTemporary, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setOwner, toXPathContext, verifyAcl, xUpdate

### Fields

resourceType = 4

## Functions

NewXmlDocumentXml(driver, path, acl, owner, imt, src, docDef, typ)

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'